---
updatedAt: 2026-08-27T15:03:43.000Z
agentTools:
  projectIndex: https://developers.conekta.com/llms.txt
---

# Get Chargeback Files

Retrieve the list of evidence files uploaded for a chargeback.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "contact": {
      "email": "engineering@conekta.com",
      "name": "Engineering Conekta",
      "url": "https://github.com/conekta/openapi/issues"
    },
    "description": "Conekta sdk",
    "license": {
      "name": "MIT-LICENSE",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "title": "Conekta API",
    "version": "2.3.0"
  },
  "servers": [
    {
      "description": "Conekta main server",
      "url": "https://api.conekta.io"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/charges/{charge_id}/chargebacks/{chargeback_id}/files": {
      "get": {
        "description": "Retrieve the list of evidence files uploaded for a chargeback.",
        "operationId": "getChargebackFiles",
        "parameters": [
          {
            "description": "Identifier of the charge resource",
            "explode": false,
            "in": "path",
            "name": "charge_id",
            "required": true,
            "schema": {
              "example": "6966a06c044243000156c24d",
              "type": "string"
            },
            "style": "simple"
          },
          {
            "description": "Identifier of the chargeback resource",
            "explode": false,
            "in": "path",
            "name": "chargeback_id",
            "required": true,
            "schema": {
              "example": "chbk_2zPxWFUnGNLySoumn",
              "type": "string"
            },
            "style": "simple"
          },
          {
            "description": "Use for knowing which language to use",
            "examples": {
              "es": {
                "summary": "for spanish request/response",
                "value": "es"
              },
              "en": {
                "summary": "for english request/response",
                "value": "en"
              }
            },
            "explode": false,
            "in": "header",
            "name": "Accept-Language",
            "required": false,
            "schema": {
              "default": "es",
              "enum": [
                "es",
                "en"
              ],
              "type": "string"
            },
            "style": "simple"
          },
          {
            "description": "In the case of a holding company, the company id of the child company to which will process the request.",
            "example": "6441b6376b60c3a638da80af",
            "explode": false,
            "in": "header",
            "name": "X-Child-Company-Id",
            "required": false,
            "schema": {
              "type": "string"
            },
            "style": "simple"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/vnd.conekta-v2.3.0+json": {
                "schema": {
                  "items": {
                    "$ref": "#/components/schemas/chargeback_evidence_file_response"
                  },
                  "nullable": true,
                  "type": "array"
                }
              }
            },
            "description": "A list of evidence files for the chargeback.",
            "headers": {
              "Date": {
                "description": "The date and time that the response was sent",
                "explode": false,
                "schema": {
                  "type": "string"
                },
                "style": "simple"
              },
              "Content-Type": {
                "description": "The format of the response body",
                "explode": false,
                "schema": {
                  "type": "string"
                },
                "style": "simple"
              },
              "Content-Length": {
                "description": "The length of the response body in bytes",
                "explode": false,
                "schema": {
                  "type": "string"
                },
                "style": "simple"
              },
              "Connection": {
                "description": "The type of connection used to transfer the response",
                "explode": false,
                "schema": {
                  "type": "string"
                },
                "style": "simple"
              },
              "Conekta-Media-Type": {
                "explode": false,
                "schema": {
                  "type": "string"
                },
                "style": "simple"
              }
            }
          },
          "400": {
            "content": {
              "application/vnd.conekta-v2.3.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "The chargeback status does not allow this operation.",
                      "code": "conekta.errors.business.chargebacks.cannot_process",
                      "debug_message": "chargeback status is won"
                    }
                  ],
                  "log_id": "641b6c253cd9a50001514fae",
                  "object": "error",
                  "type": "resource_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "bad request"
          },
          "401": {
            "content": {
              "application/vnd.conekta-v2.3.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "Please include your access key in your request.",
                      "code": "conekta.errors.authentication.missing_key"
                    }
                  ],
                  "log_id": "507f1f77bcf86cd799439011",
                  "object": "error",
                  "type": "authentication_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "authentication error"
          },
          "404": {
            "content": {
              "application/vnd.conekta-v2.3.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "The resource was not found.",
                      "code": "conekta.errors.resource_not_found.entity",
                      "debug_message": "The object Webhook \"641b1d5662d7e00001eaa46b\" could not be found."
                    }
                  ],
                  "log_id": "641b6c253cd9a50001514fae",
                  "object": "error",
                  "type": "resource_not_found_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "not found entity"
          },
          "500": {
            "content": {
              "application/vnd.conekta-v2.3.0+json": {
                "example": {
                  "details": [
                    {
                      "debug_message": "There was a runtime error and Conekta engineers have been notified.",
                      "message": "There was a runtime error and Conekta engineers have been notified.",
                      "code": "conekta.errors.api.system.general_failure"
                    }
                  ],
                  "object": "error",
                  "type": "api_error",
                  "log_id": "641b6f2b3cd9a50001515098"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "internal server error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "summary": "Get Chargeback Files",
        "tags": [
          "Chargebacks"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "details_error": {
        "properties": {
          "code": {
            "example": "conekta.errors.authentication.missing_key",
            "type": "string"
          },
          "param": {
            "nullable": true,
            "type": "string"
          },
          "message": {
            "example": "Acceso no autorizado.",
            "type": "string"
          },
          "debug_message": {
            "example": "Please include your access key in your request.",
            "type": "string"
          }
        },
        "title": "details_error"
      },
      "error": {
        "allOf": [
          {
            "properties": {
              "details": {
                "items": {
                  "$ref": "#/components/schemas/details_error"
                },
                "type": "array"
              }
            }
          },
          {
            "properties": {
              "log_id": {
                "description": "log id",
                "example": "507f1f77bcf86cd799439011",
                "nullable": true,
                "type": "string"
              },
              "type": {
                "example": "authentication_error",
                "type": "string"
              },
              "object": {
                "example": "error",
                "type": "string"
              }
            }
          }
        ],
        "description": "err model",
        "title": "error"
      },
      "chargeback_evidence_file_response": {
        "description": "A file uploaded as evidence for a chargeback",
        "properties": {
          "id": {
            "example": "chbkf_2zPxWFUnGNLySoums",
            "type": "string"
          },
          "name": {
            "example": "20251221500000000000201.pdf",
            "type": "string"
          },
          "created_at": {
            "example": "2025-12-21T15:00:00Z",
            "format": "date-time",
            "type": "string"
          },
          "evidence_type": {
            "description": "The evidence type used for a chargeback file upload",
            "enum": [
              "charge_information",
              "contract",
              "other_evidence",
              "receipt_of_shipment",
              "identification",
              "order_details",
              "terms_and_conditions",
              "cardholder_information",
              "proof_invalidate_claim",
              "internal_validations",
              "proof_of_cancellation",
              "recurring_contract",
              "proof_of_return",
              "exhibit_8",
              "duplicate_analysis",
              "full_evidence"
            ],
            "example": "contract",
            "title": "chargeback_evidence_type",
            "type": "string"
          },
          "url": {
            "description": "Presigned download URL for the file. Only present when fetching a single file.",
            "example": "https://conekta-files.s3.amazonaws.com/chbkf_2zPxWFUnGNLySoums?signature=...",
            "nullable": true,
            "type": "string"
          }
        },
        "title": "chargeback_evidence_file_response"
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  }
}
```